<?php

class wizard_spawn extends SYSTEM\PAGE\Page {
    
    private function js(){        
        return  '';
   }
   
   private function css (){
       return '';
   }

    public function html(){
        $vars = array();               
        $vars['js'] = $this->js();
        $vars['css'] = $this->css();
        $vars['PICPATH'] = \SYSTEM\WEBPATH(new PPAGE(),'wizard_spawn/img/');
        $vars['CITYICONS'] = \SYSTEM\IMG\img::getURL('wow_city_icons');
        $vars['BG'] = \SYSTEM\IMG\img::getURL('backgrounds');
        $vars = array_merge($vars,  \SYSTEM\locale::getStrings(DBD\locale_string::VALUE_CATEGORY_MAINPAGE));
        $vars = array_merge($vars,  \SYSTEM\locale::getStrings(DBD\locale_string::VALUE_CATEGORY_WOW_INFOTEXT_HELP));
        return SYSTEM\PAGE\replace::replaceFile(SYSTEM\SERVERPATH(new PPAGE(),'wizard_spawn/spawn.tpl'), $vars);
        
    }
}
